import { HTMLAttributes, MouseEventHandler, FC } from 'react';
export declare type SelectVariant = 'filled' | 'transparent' | 'framed';
export declare const SelectInsideContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export interface BaseSelectSelectorProps extends HTMLAttributes<HTMLDivElement> {
    readonly onToggleOpen: MouseEventHandler;
    readonly open: boolean;
    readonly compact?: boolean;
    readonly disabled?: boolean;
    readonly variant?: SelectVariant;
    readonly hasError?: boolean;
    readonly visibleFocus?: boolean;
}
export declare const BaseSelectSelector: FC<BaseSelectSelectorProps>;
