"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TestTextWithForwardRef = exports.TestText = exports.TestRender = exports.TP = void 0;

var _react = require("react");

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

require("jest-styled-components");

var _Practical = require("./Practical");

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/*
  Only used for Jest Snapshot Testing
*/
var TP = _ref => {
  var {
    children
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Practical.PracticalProvider, {
    children: children
  });
};
/**
 * Mock reference to practical-root
 */


exports.TP = TP;

var createNodeMock = element => {
  if (element.props.id !== 'practical-root') {
    return null;
  }

  return {};
};

var TestRender = jsx => {
  return _reactTestRenderer.default.create( /*#__PURE__*/(0, _jsxRuntime.jsx)(TP, {
    children: jsx
  }), {
    createNodeMock
  }).toJSON();
};

exports.TestRender = TestRender;

var TestText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
  children: "Test"
});
/* eslint-disable-next-line react/display-name */


exports.TestText = TestText;
var TestTextWithForwardRef = /*#__PURE__*/(0, _react.forwardRef)((_ref2, ref) => {
  var props = _extends({}, _ref2);

  return /*#__PURE__*/(0, _jsxRuntime.jsx)("span", _objectSpread(_objectSpread({}, props), {}, {
    ref: ref,
    children: "Test"
  }));
});
exports.TestTextWithForwardRef = TestTextWithForwardRef;