/**
 * A styled-components mixin that truncates two-lines text with ellipsis.
 *
 * An example:
 * ```tsx
 * const Div = styled.div`
 *   ${twoLinesClamp};
 * `
 * ```
 */
export declare const twoLinesClamp: import("styled-components").FlattenSimpleInterpolation;
