import { FC } from 'react';
interface LabelProps {
    readonly compact: boolean;
    readonly disabled: boolean;
}
export declare const Label: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, LabelProps, never>;
export declare const WithUnitLabelContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const Unit: import("styled-components").StyledComponent<"p", import("styled-components").DefaultTheme, import("../Typography").TypographyProps & {
    readonly disabled: boolean;
}, never>;
export interface FieldProps {
    readonly label?: string;
    readonly disabled?: boolean;
    /**
     * Override theme's default setting for `compact` if set.
  
     */
    readonly compact?: boolean;
    readonly unitLabel?: string;
}
export declare function withField<T>(InputComponent: FC<T>): FC<FieldProps & T>;
export {};
